Skip to main content
Users
CloudPortalLogin
  • Powered byPowered by
Developing with Sitecore Personalize
Data privacy
Before you start sending data
Integrating with Sitecore Personalize
Stream API
Personalize API Flow execution
REST APIs
  • Sitecore Personalize for developers
  • REST APIs
  • Connection REST API
  • Update a connection

Update a connection

PUT /v2/connections/<connectionRef>

Updates a connection.

Attribute

Type

Description

Example

connectionRef

string

The reference of the connection.

If you do not know the connection reference, first retrieve connections.

47c20b31-b5d8-492f-94e5-064958716c21

At a minimum, you must provide the following required attributes in the request body:

Attribute

Type

Description

Example

name

string

The name of the connection.

"Connect to Data System"

auth

array of objects

An array of authentication attributes to connect to the service.

"mys3cr3tstr1ingforauth1!x"

request

array of strings

An array of request attributes to connect to the service.

"mys3cr3tstr1ingforauth1!x"

systemType

string

The type of system you are connecting.

"DATA_SYSTEM"

Updating the connection name:

RequestResponse
curl -X PUT '<baseURL>/v2/connections/47c20b31-b5d8-492f-94e5-064958716c21' \
-H 'Authorization: Bearer <accessToken>' \
-H 'Accept: application/json' \
--data-raw '
{
    "name": "Connect to Data System",
    "auth": {
        "authType": "NONE"
    },
    "request": {
        "requestType": "POST",
        "connectionUrl": "https://example.com/api/1.0/messages/send.json",
        "requestBody": "{\"key\":\"${key}\",\"message\":\"${message}\"}"
    },
    "systemType": "DATA_SYSTEM"
}'
RequestResponse
{
    "clientKey": "pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
    "href": "<baseURL>/v2/connections/47c20b31-b5d8-492f-94e5-064958716c21",
    "ref": "47c20b31-b5d8-492f-94e5-064958716c21",
    "name": "Connect to Data System",
    "modifiedByRef": "73fadb31-d0de-4ca8-848d-cef57ad78845",
    "modifiedAt":"2025-12-14T08:35:45.341Z",
    "archived": false,
    "auth": {
        "authType": "NONE"
    },
    "request": {
        "requestType": "POST",
        "connectionUrl": "https://example.com/api/1.0/messages/send.json",
        "requestBody": "{\"key\":\"${key}\",\"message\":\"${message}\"}"
    },
    "systemType": "DATA_SYSTEM",
    "connectionTimeout": 1000,
    "socketTimeout": 1000,
    "icon": "assets/images/icons/connections/plug.svg"
}

Do you have some feedback for us?

If you have suggestions for improving this article,

Privacy policySitecore Trust CenterCopyright © 1999-2026 Sitecore